use std::collections::HashMap;
use serde::Deserialize;
use common_macros::hash_map;
use crate::cfg::boot::BootConfigDef;

#[derive(Deserialize, Clone)]
pub struct EtcConfigDef{
    pub sys: SysCfg,
    pub boot_default: BootConfigDef,
    pub secure: SecureCfg,
}

impl EtcConfigDef {
    pub fn default() -> EtcConfigDef {
        EtcConfigDef{
            boot_default: BootConfigDef::default(),
            secure: SecureCfg{
                bcrypt_password: "$2a$10$9Nk9um4osOsdDPw.NjgBx.0qbQ/5H/qLXplaNjBeKKj6N13.PE3YK".to_string(),
            }
        }
    }

    pub fn get_boot_default_clone(&self) -> BootConfigDef{
        self.boot_default.clone()
    }
}

#[derive(Deserialize, Clone)]
pub struct SecureCfg {
    pub bcrypt_password: String,
}

#[derive(Deserialize, Clone)]
pub struct SysCfg {
    pub admin_shell: String,
    pub sys_loader: String,
    pub service_mgr: String,
}
