use std::process::{Command};

pub fn run(program: String) {
    let p = Command::new(program.clone()).spawn();
    match p {
        Ok(mut ch) => {
            let res = ch.wait();
            match res {
                Ok(es) => {
                    match es.code() {
                        None => {
                            println!("exited with no code");
                        }
                        Some(code) => {
                            println!("exited with code {}", code);
                        }
                    };
                }
                Err(_) => {}
            }
        }
        Err(err) => {
            println!("failed run command {}: {:?}", program.as_str(), err);
            return;
        }
    }
}
